Name:           python-path4gmns
Version:        0.9.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An open-source, cross-platform, lightweight, and fast Python                path engine for networks encoded in GMNS

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jdlph/PATH4GMNS
Source:         %{pypi_source path4gmns}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'path4gmns' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-path4gmns
Summary:        %{summary}

%description -n python3-path4gmns %_description


%prep
%autosetup -p1 -n path4gmns-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-path4gmns -f %{pyproject_files}


%changelog
%autochangelog